### Virtual Method

# RB PlayerGstFilter remove_filter

#### Declaration [src]

    gboolean
    remove_filter (
      RBPlayerGstFilter* player,
      GstElement* element
    )

#### Description [src]

Removes a filter from the playback pipeline. The filter may not be removed immediately. The ‘filter-pre-remove’ signal will be emitted immediately before this actually happens.

#### Parameters

`element`

  Type: `GstElement`

  The filter element (or bin) to remove.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the filter was found and will be removed.